Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451423 - Error: Missing Dependency: nspr = 4.7.0.99.2-2.fc9 is needed by package nspr-devel-4.7.0.99.2-2.fc9.i386
Summary: Error: Missing Dependency: nspr = 4.7.0.99.2-2.fc9 is needed by package nspr-...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nspr
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kai Engert (:kaie) (inactive account)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 11:16 UTC by Jon Dufresne
Modified: 2008-08-06 01:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-06 01:36:36 UTC


Attachments (Terms of Use)

Description Jon Dufresne 2008-06-14 11:16:21 UTC
# yum install nspr-devel
Loaded plugins: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: www.gtlib.gatech.edu
 * livna: mirrors.tummy.com
 * updates: fedora.osuosl.org
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package nspr-devel.i386 0:4.7.0.99.2-2.fc9 set to be updated
--> Processing Dependency: nspr = 4.7.0.99.2-2.fc9 for package: nspr-devel
--> Finished Dependency Resolution
nspr-devel-4.7.0.99.2-2.fc9.i386 from fedora has depsolving problems
  --> Missing Dependency: nspr = 4.7.0.99.2-2.fc9 is needed by package
nspr-devel-4.7.0.99.2-2.fc9.i386 (fedora)
Error: Missing Dependency: nspr = 4.7.0.99.2-2.fc9 is needed by package
nspr-devel-4.7.0.99.2-2.fc9.i386 (fedora)

Comment 1 Kai Engert (:kaie) (inactive account) 2008-08-05 23:00:09 UTC
I don't understand how this could have happened.

Could you please try a "yum clean" and try your install command again?

It appears that yum says:
- it wants to install nspr-devel
- nspr-devel requires nspr

The above sounds correct.

Then yum complains that the nspr could not be found, is missing.
I don't understand how the nspr package could be missing.
I could only imagine that the yum index files were broken.

Comment 2 Jon Dufresne 2008-08-06 01:24:53 UTC
I can no longer reproduce this bug (or the other related bug). Feel free to close. Thanks.

Comment 3 Kai Engert (:kaie) (inactive account) 2008-08-06 01:36:36 UTC
closing as NOTABUG


Note You need to log in before you can comment on or make changes to this bug.